## fdroidserver 2.3.5

=== locale/Makefile ===

FILES = ../fdroid $(wildcard ../fdroidserver/*.py) \
	$(wildcard /usr/lib/python3.*/argparse.py) \
	$(wildcard /usr/lib/python3.*/optparse.py) \
	$(wildcard /usr/lib/python3.*/getopt.py)

# these are the supported languages
ALL_LINGUAS = $(shell sed -En 's,include locale/([^/]+)/.*,\1,p' ../MANIFEST.in)
POFILES = $(wildcard */LC_MESSAGES/fdroidserver.po)
MOFILES = $(ALL_LINGUAS:=/LC_MESSAGES/fdroidserver.mo)

TEMPLATE = fdroidserver.pot

VERSION = $(shell git describe)

OPTS = --no-wrap --sort-output --add-location=file

default:
	@printf "Build the translation files using: ./setup.py compile_catalog\n\n"

message:
	@printf "\nYou probably want to use this instead: ./setup.py compile_catalog\n\n"

# refresh everything from the source code
update: $(POFILES)

# generate .mo files from the .po files
compile: message $(MOFILES)

clean:
	-rm -f -- $(MOFILES)
	-rm -f -- $(POFILES:=~)

# to remove obsolete source strings, run xgettext without --join-existing
$(TEMPLATE): $(FILES)
	xgettext --join-existing --from-code=UTF-8 \
		--language=Python --keyword=_ \
		$(OPTS) --output=$(TEMPLATE) \
		--package-name="fdroidserver" --package-version=$(VERSION) \
		--foreign-user \
		--msgid-bugs-address=https://gitlab.com/fdroid/fdroidserver/issues \
		$(FILES)
	msguniq $(OPTS) --use-first \
		--output-file=$(TEMPLATE) $(TEMPLATE)
	sed -i 's,CHARSET,UTF-8,' $(TEMPLATE)

%.po: $(TEMPLATE)
	msgattrib --set-obsolete --ignore-file=$(TEMPLATE) -o $@ $@
	msgattrib $(OPTS) --no-obsolete --output-file=$@ $@
	msguniq $(OPTS) --use-first --output-file=$@ $@
	msgmerge $(OPTS) --update $@ $(TEMPLATE)

%/LC_MESSAGES/fdroidserver.mo: %/LC_MESSAGES/fdroidserver.po
	msgfmt --check -o $@ $(@:mo=po)


.PHONY = compile clean update

=== debian/changelog ===
fdroidserver (2.3.5-1ubuntu1) plucky; urgency=medium

  * Skip test_get_upstream_main_branch, which is already skipped upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 20:28:10 -0600

fdroidserver (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Jan 2025 16:51:27 +0100

=== debian/control ===
Source: fdroidserver
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hans-Christoph Steiner <hans@eds.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-python3,
               python3-ruamel.yaml <!nocheck>,
               python3,
               python3-asn1crypto <!nocheck>,
               python3-babel,
               python3-defusedxml <!nocheck>,
               python3-git <!nocheck>,
               python3-paramiko <!nocheck>,
               python3-pil <!nocheck>,
               python3-qrcode <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-yaml <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://f-droid.org
Vcs-Git: https://salsa.debian.org/python-team/packages/fdroidserver.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fdroidserver

Package: fdroidserver
Architecture: all
Depends: ${python3:Depends},
         apksigner (>= 31),
         default-jdk-headless | java-compiler,
         python3-biplist,
         python3-pycountry,
         rsync,
         s3cmd,
         ${misc:Depends}
Recommends: android-sdk,
            dexdump,
            git,
            gnupg,
            opensc,
            openssh-client,
            wget,
Suggests: gradle,
          ipfs-cid,
          vagrant,
          vagrant-cachier,
          vagrant-libvirt,
          qemu-kvm
Description: F-Droid build server and repository tools for Android
 F-Droid is an installable catalogue of FOSS (Free and Open Source Software)
 applications for the Android platform. The client makes it easy to browse,
 install, and keep track of updates on your device.
 .
 The F-Droid server tools provide various scripts and tools that are used to
 maintain the main F-Droid application repository. You can use these same
 tools to create your own additional or alternative repository for publishing,
 or to assist in creating, testing and submitting metadata to the main
 repository.

## fdroidserver 2.4~a2

=== debian/changelog ===
fdroidserver (2.4~a2-2) unstable; urgency=medium

  * temporary patch from upstream to fix autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 21 Mar 2025 23:55:00 +0100

fdroidserver (2.4~a2-1) unstable; urgency=medium

  * add more skips for tests that are flaky in Debian's CI
  * New upstream version 2.4~a2

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 20 Mar 2025 15:21:18 +0100

fdroidserver (2.4~a1-1) unstable; urgency=medium

  * New upstream version 2.4~a1

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 19 Mar 2025 18:00:44 +0100

## fdroidserver 2.4.0

=== debian/changelog ===
fdroidserver (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Mar 2025 12:19:11 +0100

## fdroidserver 2.4.2

=== locale/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 
-FILES = ../fdroid $(wildcard ../fdroidserver/*.py) \
+FILES = $(wildcard ../fdroidserver/*.py) \
 	$(wildcard /usr/lib/python3.*/argparse.py) \
-	$(wildcard /usr/lib/python3.*/optparse.py) \
-	$(wildcard /usr/lib/python3.*/getopt.py)
+	../fdroid
 
 # these are the supported languages
 ALL_LINGUAS = $(shell sed -En 's,include locale/([^/]+)/.*,\1,p' ../MANIFEST.in)

=== debian/changelog ===
fdroidserver (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 24 Jun 2025 21:55:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fdroidserver
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hans-Christoph Steiner <hans@eds.org>
+Maintainer: Hans-Christoph Steiner <hans@eds.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-bash-completion,

=== debian/tests/control ===
Restrictions: allow-stderr
Test-Command: echo Depends; export LANG=C.UTF-8 ANDROID_HOME=/usr/lib/android-sdk TRAVIS_OS_NAME=osx; fdroid=/usr/bin/fdroid ./tests/run-tests
Depends: @,
         dexdump [amd64 arm64 armhf i386],
         git,
         python3-libcloud,
         python3-setuptools,
Architecture: !s390x

Restrictions: allow-stderr
Tests: locales

## fdroidserver 2.4.3

=== debian/changelog ===
fdroidserver (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 03 Dec 2025 19:41:39 +0100
